import type { UmbPropertyEditorConfigCollection, UmbPropertyEditorUiElement } from '../../core/property-editor/index.js';
import { UmbLitElement } from '../../core/lit-element/index.js';
/**
 * @element umb-property-editor-ui-collection
 */
export declare class UmbPropertyEditorUICollectionElement extends UmbLitElement implements UmbPropertyEditorUiElement {
    #private;
    value?: string;
    private _collectionAlias;
    private _config?;
    set config(config: UmbPropertyEditorConfigCollection | undefined);
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    destroy(): void;
}
export default UmbPropertyEditorUICollectionElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-property-editor-ui-collection': UmbPropertyEditorUICollectionElement;
    }
}
